Bug 200128 - WEST/CEST timezones not included
WEST/CEST timezones not included
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Petr Machata
Depends On:
  Show dependency treegraph
Reported: 2006-07-25 12:39 EDT by P Fudd
Modified: 2015-05-04 21:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 03:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description P Fudd 2006-07-25 12:39:09 EDT
Description of problem:
The timezones 'WEST' and 'CEST' are not found (Western/Central European Summer

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. env TZ=CEST date
2. env TZ=UTC date
3. env TZ=WEST date

Actual results:
WEST and CEST are treated as UTC.

Expected results:
They should not be treated as UTC.

Additional info:
WEST is the time zone of countries like the UK, according to
CEST is the time zone of countries like Hungary, according to

If I'm not understanding how timezones work, please let me know.
Comment 1 Petr Machata 2006-07-27 03:11:46 EDT
WEST and CEST are summer variants of WET and CET. tzdata will pick the right
(summer/winter) variant according to current date. WET and CET are handled fine
by tzdata:

$ env TZ=WET date
Thu Jul 27 08:17:16 WEST 2006
$ env TZ=CET date
Thu Jul 27 09:17:18 CEST 2006

(note how it picked CEST instead of CET)
Comment 2 Penelope Fudd 2006-07-27 04:02:20 EDT

The reason I created this bug report was because I found a time on the internet
with a 'CEST' time zone, and I wanted to know how long ago it was.  As I didn't
know anything about where in the world CEST was, I just plugged it in and got an
answer (a wrong answer, that is).

What is the normal way to determine times with unfamiliar timezones, using the
command line?

And is silent failure the right way to handle bogus timezones?


Note You need to log in before you can comment on or make changes to this bug.